unit UDemo;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, VCL.TMSFNCTypes, VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, Vcl.StdCtrls, WEBLib.StdCtrls,
  Vcl.Controls, VCL.TMSFNCChart;

type
  TForm28 = class(TWebForm)
    TMSFNCChart1: TTMSFNCChart;
    WebButton1: TWebButton;
    procedure WebButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form28: TForm28;

implementation

{$R *.dfm}

procedure TForm28.WebButton1Click(Sender: TObject);
var
  g: TTMSFNCGraphics;
  bmp: TTMSFNCBitmap;
  ms: TMemoryStream;
  b: TBytes;
  s: string;
begin
  g := TTMSFNCGraphics.CreateBitmapCanvas(Round(TMSFNCChart1.Width), Round(TMSFNCChart1.Height), TMSFNCChart1.NativeCanvas);
  g.BeginScene;
  try
    g.Context.SetSize(TMSFNCChart1.Width, TMSFNCChart1.Height);
    g.Context.SetAntiAliasing(TMSFNCChart1.AntiAliasing);
    g.Context.SetTextQuality(TMSFNCChart1.TextQuality);
    TMSFNCChart1.DrawChart(g);
    g.Context.Render;

    s := g.Bitmap.GetBase64Image;

    if Pos(';base64,', s) > 0 then
      Delete(s, 1, Pos(';base64,', s) + 7);

    b := TTMSFNCUtils.Decode64ToBytes(s);

    ms := TMemoryStream.Create;
    try
      ms.Write(b, Length(b));
      ms.SaveToFile('test.png');
    finally
      ms.Free;
    end;
  finally
    g.EndScene;
    g.Free;
  end;
end;

end.